Curriculum Vitae

1. PERSONAL INFORMATION

Name:

 Nikos Mattheos

Title:

DDS, MASc (Perio), PhD, Associate Professor

 

2. UNIVERSITY EDUCATION

Profieciency in English Language

University of Cambridge, UK

May           1992

Doctor of Dental Surgery (DDS)

University of Athens

February    1997

Lic. Odont (MSc)

Univeristy of Malmö

December    2001

Dr. Odont (PhD)

Univeristy of Malmö

March          2004

Specialist Registration in Periodontology

(leg. Parodontolog)

Ministry of Health

Sweden

May             2008

Master of Advanced Science in Periodontology and Implant Dentistry (MASc)

University of Bern, dept. of Periodontology and Fixed Prosthodontics

May             2008

 

Specialist in Periodontology Accreditation

European Federation of Periodontology (EFP)

May              2008

 

 

3. PhD THESIS

Information technology and interaction in learning. Studies of applications in academic oral health education. Available at Malmo University Electronic Publishing

 

4. CURRENT POSITION

-  Associate Professor, Faculty of Dentistry, The University of Hong Kong

-  Program Director, Master of Clinical Dentistry in Implant Dentistry.

- Associate Professor (Docent), Faculty of Odontology, Malmö University, Sweden. 

 4a. PREVIOUS POSITIONS

- 2004-2006:Associate, Centre for Educational Research and Technology in Oral Health, Malmö, Sweden.

- 2005- 2008: Clinical resident in the department of Periodontology and fixed Prosthodontics, School of Dental Medicine, University of Berne, Switzerland.

-2008 - 2012: Associate Professor, Griffith University School of Dentistry and Oral Health.
Director of the Master of Clinical Dentistry in Implant Dentistry Program.

 

 5. ELECTIVES

May 2005 – May 2006

ITI Scholar, department of Periodontology and fixed Prosthodontics, School of Dental Medicine, University of Berne, Switzerland

July – August 2002

Guest researcher in the dept. of Information Technology, University do Vale Itajai, Santa Catarina, Brazil.

March – May 1995

Exchange student in the Dental Faculty of the University of Amsterdam, The Netherlands.

July – August 1995

Elective attachment as a trainee in the faculty of Dental Surgery, University Hospital of St. Luke, Malta.

 

6. AWARDS

June 2003

IADR Educational Research Group Award 2003. Awarded for research “A structured examination approach for assessing students self assessment abilities”, 81st Annual IADR Session, Gothenberg 2003.

October 2000

Honorary Lifetime Membership, European Dental Students Association.

Sept.   2009

Dean’s Commendation for Excellence in Teaching, Griffith University Health Group

Sept.   2010


December 2011

Dean’s Commendation for Outstanding Performance in Teaching, Griffith University Health Group

Dean’s Commendation for Outstanding Performance in Teaching, Griffith University Health Group

 

7. COMPETITIVE GRANTS

August 2009

Two year Leadership Scheme Grant from Australian Teaching and Learning Council for the development of a national curriculum within Implant Dentistry at undergraduate, postgraduate and CPD level. 250.000 AUD

July 2006

Two year grant for research and development of assessment methodologies and learning material from the Swedish National Network for Cooperation in Higher Education (NSHU). 450.000 SEK

January 2005

2-year post doctoral research fellowship, Malmö University, Sweden

February 2005

International Team for Implantology (ITI) one-year fellowship for advanced studies in Implantology.

March 2004

Post doctoral research grant for further work in the research are of the doctoral thesis by Swedish Research Council (Vetenskapsrådet). 

January 2001

Four-year Doctoral Research  Scholarship  by The Swedish National Agency for Distance Education (DISTUM) and Swedish Research Council (Vetenskapsrådet), Stockholm, Sweden. 

 

 

8. OTHER ACADEMIC ACTIVITIES

                      - scientific journals

European Journal of Dental Education

Associate Editor since January 2010

Peer Reviewer since 2002.

Clinical Oral Implants Research

Editorial Board member since January 2010

Medical Education

Peer Reviewer since 2004.

Journal of Dentistry

Peer Reviewer, 2005 - present.

Advances in Health Sciences Education

Peer Reviewer, 2005- present.

Journal of Dental Education

Peer Reviewer, 2006- present.

PERIODONTOLOGY

Peer Reviewer, 2008- present.

Biomedical Central

Peer Reviewer, 2008- present

 

                      - scientific societies, networks and consortia

Association for Dental Education in Europe (ADEE)

Elected in the Executive Committee 2004-2006.

International Team of Implantology

Fellow (2012), Speaker (2006),
Scholar (2005-2006), Member (2006)

Dented I and II thematic network

Rapporteur group 4.1: Information Technology.

DentEd III thematic Network

Member of taskforce VI.

Consortium of the European Diploma in Applied Informatics in Dentistry

Member, educational consultant .

European Distance Education Network (EDEN)

Member

International Association for Dental Research (IADR)

Member, Educational Research Group.

European Federation of Periodontology, Alumni Association

Editor and member of the Executive Committee

 

Australian Osseointegration Society

Member

Australian New Zealand Academy of Periodontology

Member

 

- congresses / meetings organised

February 2011 February 2012

Comprehensive Care with Dental Implants - a mini residency

Seaworld Resort, Gold Coast, Australia (www.oralimplantscpd.com)

July 2011

Clinical Assessment Strategies . 1 day retreat on pedagogy and dental education for Griffith University staff. (Organizer) Gold Coast

April 2010

From Teaching to Learning. 1 day retreat on pedagogy and dental education for Griffith University staff. (Organizer) Gold Coas

February 2010

Australian Consensus Workshop in Implant Dentistry Education, Gold Coast.(Organiser) http://www.dentalimplanteducation.net.au

June 2008

1st European Workshop in Implant Dentistry Education, Prague.

(Organiser) http://www.dentalimplanteducation.eu

September 2005

31st Congress of the ADEE, Athens.

 Member of the local organizing committee

March 2005

1st Summer Institute Alumni seminar (Organiser)

Supported by the Council for the Renewal of Undergraduate Education (Rådet för Högre Utbildning).

 

 

- teaching / undergraduate education

2002-2004

PBL tutor, Faculty of Odontology, Malmö University

2002-2005

Clinical instructor in the department of Periodontology, Faculty of Odontology, Malmö University

2005-2008

Clinical instructor in the Comprehensive Care Clinic, School of Dental Medicine, University of Bern

2003-2008

Supervision of students´research projects in the fields of Health Informatics, Dental Education and Periodontology, University of Malmö and University of Bern

2008 - present

Teaching in the discipline of of Periodontology and Implant Dentistry in Griffith University (Grad Dip Dent)

- teaching / postgraduate education

2005 - 2006

Secondary supervisor of PhD research project of dr. Leif Leisnert,

2006 - present

Main supervisor of the PhD research of dr. Yiannis Polizois, Dental School, Trinity College, Dublin

2004 - present

Courses and seminaries for professional associations in Australia, Sweden, Switzerland, Brazil, Greece, Serbia, Poland and Ireland. 

2008 - present

Clinical instruction, research supervision and  theoretical education in the specialist education of Periodontology and Implant Dentistry (D Clin Dent  degree)

2011 - present

Program Director, Master of Clinical Dentistry in Implant Dentistry, Griffith University.

 

9. RESEARCH - PUBLICATIONS

9.1  Articles published in peer reviewed journals:

1

Rameier C, Ivanovic A, Woerman U, Mattheos N. Evaluation of a web-based application versus conventional instruction in the undergraduate curriculum of fixed prosthodontics. European Journal of Dental Education, 2012 In press.

2

Mattheos N, Storrs M,  Foster L, Oberholzer T. Team Based Treatment Planning for  Interprofessional Education in Comprehensive Care Clinic. Journal of Dental Education, 2012 In press.

3

Mattheos N, Janda M. Exotic encounters with dental implants: managing complications with unidenitfied systems. Austalian Dental Journal, 2012,  In press.

4

Mattheos N, Collier S, Walm D. Specialists' Management Decisions and Attitudes towards Mucositis and Peri-implantitis. British Dental Journal 2012 Jan 13;212(1).

5

Lee J, Mattheos N, Nixon K, Ivanovski S. Residual Periodontal Pockets are a Risk Indicator for Peri-implantitis in Patients Treated for Periodontitis. Clin Oral Impl Res, 2011, Mar;23(3):325-33.

6

Foster L, Rung A, Knox K, Mattheos N. Designing a Computer-based Treatment Planning Tool:  Factors of importance and students´ attitudes. Journal of  Dental Education 2011: 75: 1434-1442.

7

Mattheos N. Commentary of: M Esposito, MG Grusovin, IP Polyzos, P Felice and HV Worthington. Interventions for replacing missing teeth: dental implants in fresh extraction sockets (immediate, immediate-delayed and delayed implants). Australian Dental Journal 2011: 56: 100–102.  

8

N Mattheos, S Ivanovski, L Heitz-Mayfield, I Klineberg, P Sambrook, S Scholz. University teaching of implant dentistry: guidelines for education of dental undergraduate students and general dental practitioners. An Australian consensus document. Australian Dental Journal 2010; 55: 329–332

9

N Mattheos, S Ivanovski, P Sambrook, I Klineberg. Implant dentistry in Australian undergraduate dental curricula: knowledge and competencies for the graduating dentist. Australian Dental Journal 2010; 55: 333–338

10

S Ivanovski, N Mattheos, S Scholz, L Heitz-Mayfield. University postgraduate training in implant for the general dental practitioner. Australian Dental Journal 2010; 55: 339–345

11

Chapple ILC, Walmsley AD, Mattheos N, Scoonheim-Klein M. Conclusions and consensus statements on: Innovative educational methods and technologies applicable to continuing professional development in periodontology – consensus view 4. Eur J Dent Educ 2010: Issue s1: 41-42.

12

Mattheos N, Schoonheim-Klein M, Walmsley AD, Chapple ILC. Innovative educational methods and technologies applicable to continuing professional development in periodontology. Eur J Dent Educ 2010: Issue s1: 43-52.

13

Polyzois I, Claffey N, Mattheos N.  Problem Based Learning in academic health education. A systematic review. Eur J Dent Educ. 2010 Feb;14(1):55-64.

14

Polyzois I, Claffey N, Mattheos N.  Factors affecting the medium to long term life long learning skills of dental practitioners. A retrospective study. Eur J Dent Educ 2010: 14(2): 84-91.

15

J. Davis, C. Ramseier, N. Mattheos et al. Education of Tobacco Use Prevention and Cessation for Dental Professionals – a Paradigm Shift. Int Dent J. 2010 Feb;60(1):60-72.

16

M. Lulic, I. Leiggener Görög, G. E. Salvi, N. Mattheos, N. P. Lang. One-year outcomes of repeated adjunctive photodynamic therapy (PDT) during periodontal maintenance. A proof of principle randomized controlled clinical trial. Journal of Clinical Periodontology 2009 36(8):661-6.

17

Mattheos N, T. Albrektsson, D. Buser, H. De Bruyn, N. Donos, E. Hjørting Hansen, N. P. Lang, M. Sanz, A. Nattestad. Teaching and assessment of implant dentistry in undergraduate and postgraduate education: a European consensus. Eur J Dental Education 2009: 13(s1):  10-17.

18

De Bruyn H, S. Koole, Mattheos N, N. P. Lang A survey on undergraduate implant dentistry education in Europe. Eur J Dental Education 2009: 13(s1):  3-9.

19

Mattheos N, C. Ucer, T. Van de Velde, A. Nattestad. Assessment of knowledge and competencies related to implant dentistry in undergraduate and postgraduate university education  Eur J Dental Education 2009: 13(s1):  55-65.

20

Mattheos N, Stefanovic N, Aspe P et al. The potential of Information Technology in Dental Education. Eur J Dent Educ 2008 Feb;12 Suppl 1:85-92.  

21

Mattheos N, Kandylaki M, Lang NP, Persson R, Salvi G. Metabolic control, oral microbiological and periodontal conditions in patients with diabetes mellitus. PERIODONTOLOGY, 2008: 5(1): 37-43.

22

Mattheos N. The Internet and the oral healthcare professionals: potential and challenges of a new era. Int J Dent Hygiene, 5, 2007; 151–157.

23

Jönsson A, Mattheos N, Svingby G, Attström R. Dynamic Assessment and the “Interactive Examination”. Educational Technology & Society, 10 (4), 17-27. [Link]

24

 Divaris K, Polychronopoulou A, Mattheos N. Computer literacy and attitudes among greek post-graduate dental students. Eur J Dent Educ 2007: 11(3):144-7 

25

Leisnert L, Mattheos N. The Interactive Examination in Comprehensive Dental Care Clinic. A three year follow up of students self-assessment ability. Medical Teacher 2006 Sep;28(6):544-8  

26

Mattheos N, Fundak A et al. Assessing Behavioural Change Support Abilities of the Oral Healthcare Team. Oral Health Prev Dent 2006;4(1):71-7.

27

C. Ramseier, Mattheos N, I. Needleman, R. Watt, S. Wickholm. 1st European Workshop on Tobacco Use Cessation and Prevention:  Consensus Document. Oral Health Prev Dent 2006;4(1):7-18.

28

Schittek Janda M, Tani Botticelli A, Mattheos N, Nebel D, Wagner A, Nattestad A, Attstrom R. Computer-mediated instructional video: a randomised controlled trial comparing a sequential and a segmented instructional video in surgical hand wash. Eur J Dent Educ. 2005 May;9(2):53-8.  

29

Mattheos N, Schittek Janda M, Nattestad A, Shanley D, Attstrom R. A comparative evaluation of computer literacy amongst dental educators and students. Eur J Dent Educ. 2005 Feb;9(1):32-6.

30

Boticcelli Tani A, Schittek Janda M, Boticcelli D, Mattheos N, Attström R.  The effectiveness of video support in the teaching of manual skills related to initial periodontal therapy tested on phantoms. Int J Comput Dent. 2005 Apr;8(2):117-27

31

Mattheos N, Nattestad A, Christersson C, Jansson H, Attstrom R.The effects of an interactive software application on the self-assessment ability of dental students. Eur J Dent Educ 2004: 8 :97-104.

32

Mattheos N, Nattestad A, Falk Nillson E, Attstrom R.  The Interactive Examination: Assessing students’ self-assessment ability. Medical Education 2004: 38: 378-389.

33

Schittek Janda M, Mattheos N, Nattestad A, Wagner A, Nebel D, Farbom C, Le DH, Attstrom R. Simulation of patient encounters using a virtual patient in periodontology instruction of dental students: design, usability, and learning effect in history-taking skills. Eur J Dent Educ. 2004: 8:111-119.

34

Mattheos N, Nattestad A, Attstrom R. Feasibility of and satisfaction with the use of low-bandwidth videoconferencing for examination of undergraduate students.  J Telemed Telecare, 2003: 9: 278-281.  

35

Nattestad A, Attstrom R, Mattheos N, Ramseier C et al. 4.1 Web-based Interactive learning programmes. Eur J Dent Educ 2002: 6 (Suppl 3):127-37. 

36

Mattheos N, Nattestad A, Schittek M, Attström R. Computer literacy and attitudes among students in 16 European dental schools. Current aspects, regional differences and future trends. Eur J  Dent Educ 2002: 6: 30-35.

37

Mattheos N, Attström R. Problem Based Learning on the Internet: a two year report. CAL-laborate, June 2002: 4-7.  [link]

38

Mattheos N, Nattestad A, Schittek M, Attström R. A Virtual Classroom in undergraduate periodontology: A pilot study. Eur J Dent Educ 2001: 5:  139 – 147.

39

Mattheos N, Wretlind K, Nattestad A, Attström R. Interaction in virtual versus traditional Problem Based Learning classrooms.A pilot study in education for oral health professionals. American Journal of Distance Education, Readings in Distance Education, No 8 (2001). [Link]  

40

Schittek M, Mattheos N, Attström R, Lyon HC. Computer Assisted Learning: a review. Eur J  Dent Educ 2001: 5: 93 - 100. 

41

Mattheos N, Schittek M, Attström R, Lyon HC. Distance learning in academic health education: a literature review. Eur J Dent Educ 2000: 5: 67 – 76.

42

Mattheos N, Jönsson J, Schittek M, Attström R. Media and technology for distance learning in academic health education. The Journal of Dentistry Educational Technology section. 2000 : 1 (Mar). [Link] 

43

Mattheos N, Nattestad A, Attström R. Local CD-ROM in interaction with documents coming over the Internet. Eur J Dent Educ 2000: 4: 124-127.

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

 

9. 2 Dissertations - Monographies - chapters in book:

1. Mattheos N, Nattestad A et al.  Chapter 19: Dissemination and the Net. In: Dental Education in Europe towards Convergence. Dented Thematic Network. Derry Shanley (ed), p 132 – 139. ISBN 963-00-5305-5.

2. Mattheos N. Developing a Problem Based Learning model for Internet-based teaching in academic oral health education. Malmö University 2001. ISBN: 91-631-1855-6

3. Information Technology and Interaction in Learning. Studies of Applications in Academic Oral Health Education. Holmbergs, for Malmö University, 2004.ISBN: 91-628-5980-3

4. Mattheos N, Janda M, Attström R (eds). The Digital Dental Clinic. Gothia Publishers, Gothenburg, Sweden.  January 2008. ISBN/Art.nr: 72055865

 

9.3 Abstracts  - selected congress proceedings:

1.Mattheos N. “Dental Education: The students’ point of view.” Eur J Dent Educ 2000: 2: 35-36.

2. Mattheos N, Wretlind K, Attström R. Adjusting an existing Problem Based Learning model for network-based learning environments. Proceedings of X Congress of the European Distance Education Network, Stockholm June 2001. Chair: Erwin Wagner.

 3.  Mattheos N, Schitek M, Nattestad A, Attström R, Maag K. Virtual Classrooms in health education. Proceedings of 10th Slice of life conference, Munich August 2001. Chair: Dr. Susanne Stensaas, Dr. Martin Rydmark.

4. Levy G, Azerad J, Morin F, Mattheos N, Nattestad A, Attström R.  Campus virtuel en Odontologie : pose de la première pierre virtuelle et formation des formateurs européenne. Proceedings of the IPM 2001 Conference, Internet in Medical Education, Paris November 2001. Available at: http://www.ipm2001.org/index_authors_html

5. Mattheos N, Attström R. Interactive examination: assessing students’ self-assessment ability in a Problem Based Learning curriculum. Proceedings of the 30th Congress of the Nordic Association of Pedagogic Research, Tallinn March 2002.

6. Mattheos N. Developing a Problem Based Learning model for Internet-based teaching in academic oral Health Education. Proceedings of the Netlearning International Conference,  Ronneby, Sweden November  2002. Chair: Lars Haikola.

7. Mattheos N, Attström R. Replacing human feedback with Internet-Based methodology in the training of self-assessment skills. A randomized trial. Proceedings of XII Congress of the European Distance Education Network, Rhodos June 2003. Chair: Erwin Wagner.

 8. Mattheos N, Nattestad A, Schittek Janda M, Attstrom R. A structured examination approach for assessing students self assessment abilities. JOURNAL OF DENTAL RESEARCH   Volume: 82   Special Issue: B   2003. Pages: B311-B311. Meeting Abstract: 2402

 9. Janda M,  Mattheos N, Nattestad A, et al. Virtual patient for learning about history-taking in periodontal treatment. JOURNAL OF DENTAL RESEARCH   Volume: 82   Special Issue: B   Pages: B311-B311   Published: JUN 2003. Meeting Abstract: 2400

10.  Mattheos N, Attström R. learning through examination dialogues. Dialogues in Learning International Conference, Malmö 2003. Chair: Professor Gunilla Svingby.

 11. Mattheos N, Nattestad A, Attström R. Interactive Software vs. static web  pages in undergraduate Periodontology education. (83rd  IADR Congress, Honolulu 2004. Abstract available at J Dent Res 83(spec iss).

12. Jönsson A, Mattheos N, Svingby G, Attström R. Dynamic Assessment and Interactive Examination. 11 biennial Congress of the European Association for Research in Learning and Instruction, Nikosia August 2005.

13. Leisnert L, Mattheos N. Students’ Self-assessment ability. (  85th IADR Congress, Brisbane 2006. Abstract available at J Dent Res 85(spec iss).

14. Ramseier C, Ivanovic A, Mattheos N, Attström R, Lang NP. Comparison of e-learning with conventional learning in undergraduate curriculum of fixed prosthodontics. 32nd Congress of ADEE, Cracow Sept. 2006.

15. Mattheos N, Christersson C, Hartsmar N et al. Multidisciplinary development of professional identity through in a Problem Based Learning Curriculum. 33rd Congress of ADEE, Dublin Sept. 2007.

16. Mattheos N, Christersson C. Investigating dental students’ rationale, strategies and ability to deal with problems of ethical or legal dimensions. 34th Congress of ADEE, Zagreb Sept. 2008.

17. Mattheos N, Foster L, Oberholzer T. A novel team-based concept of treatment planning for raining in the comprehensive care clinic. 35th Congress of ADEE. Helsinki, August 2009.  Eur j dent Educ 2010: 14: 188. 

18. Mattheos N. Implant Dentistry for the General Dental Practitioner and the University. A Special Interest Group. 36th Congress of ADEE. Amsterdam, August 2010.

19. Vrochari A,  Petropoulou A, Pantzari F,  Chronopoulos V, Mattheos N. Customized zirconia abutments: technical complications. Clin Oral Impl Research 2011:22:1044. 20th Annual European Association of Osseointegration Meeting, October 12-15 2011,  Athens, Greece. Available at:http://onlinelibrary.wiley.com/doi/10.1111/clr.2011.22.issue-9/issuetoc

20. Tsoutis K, Sava K, Markou N, Chronopoulos V, Mattheos N. Root submergence in the esthetic zone. A technique for pontic site esthetic enhancement in full mouth implant restorations. Clin Oral Impl Research 2011:22:1007.20th Annual European Association of Osseointegration Meeting, October 12-15 2011,  Athens, Greece. Available at:http://onlinelibrary.wiley.com/doi/10.1111/clr.2011.22.issue-9/issuetoc

21. Mattheos N, Caldwell P, Reher P.  Implant Placement in patient treated with IV Bisphosphonates. FDI Congress, August 2012, Hong Kong.

 

9.5  Invited speaker - selected keynote lectures.

1. Dental Education: The students’ point of view. 25th Congress of the Association for Dental Education in Europe (ADEE), Milano Sept. 1999.

 2. The Virtual Classroom. Congress of the Federation Dentaire International (FDI), Paris Nov. 2000

 3. Computer Aided Learning in Dentistry. 4th Annual Congress of the Flemish Dental Association, Brygge April 2001.

4. Virtual Clarssrooms and seminar rooms. 27th Congress of the Association for Dental Education in Europe (ADEE), Bern Sept. 2001.

5. Information Technology and Dentistry. Annual Meeting of the Danish Dental Association, Copenhagen,  February 2001.

6. Problem Based Network and the Internet. Agricultural University, Skara December 2001.

7. Virtual Classrooms: Fact and Myth. 2nd International Conference on Health Informatics, University do Vale Itajai, Itajai SC, Brazil, August 2002.

8. e-learning and the Internet: Fact and Myth. Congress of the Federation Dentaire International (FDI), Sydney Sept. 2003.

9. Information Technology and the dental student. 5th EDSA Congress, Belgrade 2003.

10. Developing Research in Dental Education. 30th Congress of the Association for Dental Education in Europe (ADEE), chair: Malcolm Jones, Cardiff Sept. 2004.

11. Interactive Assessment at a distance-challenges in net based education. Congress of Swedish Netunivesrity-Southern region. Malmö 2004.

12. Information Technology and Interaction in Learning. Sahlgrenska Akademy, chair: Karin Kjellgren, Gothenberg 2004.

13. Information Technology in Learning, SFORM annual meeting, chair: Ulf Örtergren,  Hälsnäs 2004.

14. Academic Postgraduate programmes through Distance Learning (workshop). 31st  Congress of the Association for Dental Education in Europe (ADEE), Athens Sept. 2005.

15. From Teaching to Learning: A Learner’s survival guide. 6th EDSA Congress, Novi Sad Serbia, April 2006 (invited).

16. Blending Instruction: a survival guide for confused teachers. 32nd Congress of the Association for Dental Education in Europe (ADEE), Cracow, Sept 2006.

17. From Teaching to Learning: building bridges with Information Technology. Docent lecture, Faculty of Odontology, Malmö University, Oct. 2006.

18. Educating a new generation of Periodontologists. 10th Congress of the Lithuanian Society of Periodontology, Vilnius, May 2007.

19. Academic career pathway in dentistry: Fact and Myth. FDI Congress, Stockholm, Sweden, Sept. 2008.

20. Peri – implant tissue pathology, Fact and Myth. Australian Society of Periodontology, Brisbane, November 2010.

21. Implant Dentistry: A new specialisation or an extension of general Dentistry?

FDI Congress, Salvador, Brazil 5th September 2010.

22.  From Teaching to Learning: a University Survival Guide. ADSA annual congress, Brisbane 5-9 July 2011.

23. Complications in Implant Dentistry: From Biology to Technology. University of Hong Kong, 20th January 2012.

24. Restorative-based treatment planning in Implant Dentistry. FDI Congress, August 2012, Hong Kong.

 

 

 

 

 

Last modified: Tuesday, 26 June 2012, 10:44 PM
Skip NavigationSkip Upcoming events

Upcoming events

There are no upcoming events